@mixin button() {
  appearance: none;
    align-items: center;
    border: 1px solid transparent;
    //background-image: $primary;
    border-radius: $borderRadius;
    box-shadow: $shadowButton;
    color: white;
    cursor: pointer;
    display: inline-flex;
    font-size: 1rem;
    text-transform: uppercase;
    height: 2.5rem;
    justify-content: center;
    line-height: 1.5rem;
    letter-spacing: 0.02em;
    padding: 0 2rem;
    position: relative;
    text-align: center;
    user-select: none;
    vertical-align: top;
    white-space: nowrap;
}

@mixin icon-button() {
    margin: 0;
    padding: 0 1.5rem;
    //border-radius: 20px;
}

button, input {
  outline: none;
  &.button {
    appearance: none;
    align-items: center;
    border: 1px solid transparent;
    background-image: $primary;
    border-radius: $borderRadius;
    box-shadow: $shadowButton;
    color: white;
    cursor: pointer;
    display: inline-flex;
    font-size: 1rem;
    text-transform: uppercase;
    height: 2.5rem;
    justify-content: center;
    line-height: 1.5rem;
    letter-spacing: 0.02em;
    padding: 0 1.5rem;
    position: relative;
    text-align: center;
    user-select: none;
    vertical-align: top;
    white-space: nowrap;
    &:not(:last-child) {
      margin-right: 1rem;
    }
    &:hover {
      transition: background-image .5s linear;
      background-image: $primary_pressed;
    }
  }
  &.simple-button {
    @extend .button;
    background-image: none;
    background-color: transparent;
    color: rgba(0,0,0,.6);
    border: 1px solid rgba(34,36,38,.15);
    &:hover {
      color: white;
    }
    &-icon {   
      @extend .button;
      background-image: none;
      background-color: transparent;
      color: rgba(0,0,0,.6);
      box-shadow: none;
      border: 1px solid rgba(34,36,38,.15);
      @include icon-button();
      &--red:hover {
        transition: all .25s linear;
        background-image: none;
        background-color: transparent;
        color: $error;
        border: 1px solid $error_transparent;
      }
      &--primary:hover {
        transition: all .25s linear;
        background-image: none;
        background-color: transparent;
        color: $primary_light;
        border: 1px solid $primary_transparent;
      }
      &--table { 
        font-size: 1rem;
        border: none !important;
        text-transform: uppercase;
        height: 1em;
        justify-content: center;
        line-height: 1em;
        letter-spacing: 0.02em;
        padding: 0 0rem;
        &:not(:last-child) {
          margin-right: 1rem;
        }
      }
    }
    &--primary {
    color: $primary-light;
    border: 1px solid $primary-light;
    }
  }
  &.icon-button {
    &:hover {
      transition: all .25s linear;
      background-image: none;
      background-color: $error;
    }
  }
  &.categories-button {
    @extend .button;
    text-transform: none;
    width: 100%;
    padding: 0 1rem;
    background-image: none;
    //background-color: $black_6;
    background-color: transparent;
    border-radius: 4px;
    box-shadow: none;
    border: 1px solid $black_5;
    color: $black;
    &:hover {
      background-image: none;
      border-color: $black_2;
    }

    // les 3 categories de categories
    &--top {
      border-color: rgba(67, 203, 87, 0.6);
      color: #339C42;
      &:hover {
        border-color: rgba(67, 203, 87, 1);
      }
      &--active {
        background-color: rgba(67, 203, 87, 1);
        color: white;
        font-weight: bold;
      }
    }
    &--middle {
      border-color: rgba(255, 182, 64, 0.6);
      color: #A6762A;
      &:hover {
        border-color: rgba(255, 182, 64, 1);
      }
      &--active {
        background-color: rgba(255, 182, 64, 1);
        color: white;
        font-weight: bold;
      }
    }
    &--bottom {
      border-color: rgba(230, 59, 46, 0.6);
      color: #A32A1E;
      &:hover {
        border-color: rgba(230, 59, 46, 1);
      }
      &--active {
        background-color: rgba(230, 59, 46, 1);
        color: white;
        font-weight: bold;
      }
    }
    &--normal {
      border-color: $black_5;
      color: $black;
      &:hover {
        border-color: $black_4;
      }
      &--active {
        background-color: $black_5;
      }
    }


    &--active {
      @include button();
      box-shadow: $shadowButtonPressed;
      text-transform: none;
      width: 100%;
      padding: 0 1rem;
      border-radius: 4px;
      box-shadow: none;
    }
  }
}

.disabled {
  opacity: 0.6;
  pointer-events: none;
}